Page MenuHomePhabricator

Newhorizon errors on sudo policy changes
Closed, ResolvedPublic

Description

Attempting to change toolsbeta sudoer policy in newhorizon gave me a 500 error. Horizon worked.

Details

Related Gerrit Patches:
openstack/horizon/deploy : ocataUpdate smf-sudo-dashboard again.
openstack/horizon/wmf-sudo-dashboard : ocata_modentry_for_rule: encode everything as utf8
openstack/horizon/wmf-sudo-dashboard : master_modentry_for_rule: encode everything as utf8

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2018, 10:15 PM
chasemp triaged this task as Medium priority.Feb 27 2018, 10:26 PM
chasemp added subscribers: Andrew, bd808.

Change 417949 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/wmf-sudo-dashboard@master] _modentry_for_rule: encode everything as utf8

https://gerrit.wikimedia.org/r/417949

Change 417949 merged by Andrew Bogott:
[openstack/horizon/wmf-sudo-dashboard@master] _modentry_for_rule: encode everything as utf8

https://gerrit.wikimedia.org/r/417949

Change 417951 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/wmf-sudo-dashboard@ocata] _modentry_for_rule: encode everything as utf8

https://gerrit.wikimedia.org/r/417951

Change 417951 merged by Andrew Bogott:
[openstack/horizon/wmf-sudo-dashboard@ocata] _modentry_for_rule: encode everything as utf8

https://gerrit.wikimedia.org/r/417951

Mentioned in SAL (#wikimedia-operations) [2018-03-09T15:51:40Z] <andrew@tin> Started deploy [horizon/deploy@f59f568]: rolling out a fix for T188458

Mentioned in SAL (#wikimedia-operations) [2018-03-09T15:54:51Z] <andrew@tin> Finished deploy [horizon/deploy@f59f568]: rolling out a fix for T188458 (duration: 03m 11s)

I believe this to be fixed. @Chicocvenancio can you confirm?

Chicocvenancio added a comment.EditedMar 9 2018, 4:07 PM

Still doesn't work for me, to be clear it works for rule creation and deletion but modification throws a 500.

Change 417993 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/deploy@ocata] Update smf-sudo-dashboard again.

https://gerrit.wikimedia.org/r/417993

Change 417993 merged by Andrew Bogott:
[openstack/horizon/deploy@ocata] Update smf-sudo-dashboard again.

https://gerrit.wikimedia.org/r/417993

Mentioned in SAL (#wikimedia-operations) [2018-03-09T17:32:41Z] <andrew@tin> Started deploy [horizon/deploy@9c234d6]: Another try at fixing T188458

Mentioned in SAL (#wikimedia-operations) [2018-03-09T17:35:40Z] <andrew@tin> Finished deploy [horizon/deploy@9c234d6]: Another try at fixing T188458 (duration: 03m 00s)

Andrew added a comment.Mar 9 2018, 5:40 PM

Once again, I suspect this of being fixed.

Chicocvenancio closed this task as Resolved.Mar 9 2018, 10:04 PM
Chicocvenancio reassigned this task from Chicocvenancio to Andrew.

Indeed it is fixed.